summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/fileop
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/fileop')
-rwxr-xr-xsanity/system_light/scripts/fileop/fileop.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/fileop/fileop.sh b/sanity/system_light/scripts/fileop/fileop.sh
new file mode 100755
index 0000000..18e07e6
--- /dev/null
+++ b/sanity/system_light/scripts/fileop/fileop.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+function main()
+{
+
+ echo "start:`date +%T`"
+ time fileop -f $FILEOP_CNT -t 2>>$LOG_FILE 1>>$LOG_FILE
+
+
+#in this example it creates 2 directories.In each directory 2 subdirectories are created and in each subdirectory 2 files are created.
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@"; \ No newline at end of file